
const { ccclass, property } = cc._decorator;
/**
 * 提现记录
 * @author 薛鸿潇
 */
@ccclass
export default class CashNormal extends cc.Component {

    @property({ displayName: '滚动视图', type: cc.ScrollView })
    private scroll_view: cc.ScrollView = null!;
    @property({ displayName: 'lbl累计提现', type: cc.Label })
    private lbl_rmb_total: cc.Label = null;

    // onLoad () {}

    start() {
        this.initTotal();
        this.initScrollView();
    }

    // update (dt) {}

    /**
     * 初始化滚动视图
     */
    private initScrollView() {
        this.scroll_view.node.emit('srollview-init', gData.cashNormal.list_data);
    }

    /**
     * 初始化累计提现
     */
    private initTotal() {
        this.lbl_rmb_total.string = '￥' + gData.cashNormal.receip_total_rmb + '元';
    }
}
